\name{readSCRAMcutsets}
\alias{readSCRAMcutsets}

\title{ Parse SCRAM output files to extract minimal cutset results }

\description{Line-by-line text parsing of a known XML presentation format.
}

\usage{
readSCRAMcutsets(x, dir="")
}

\arguments{
\item{x}{ The local file name of SCRAM output of interest.}
\item{dir}{A character string for an absolute directory in which R can read and write.}
}

\value{
Returns a list of matrices containing tags of minimal cutsets. Each matrix on the list contains
 cutsets of a specific order, which is also the list item number.
}

\details{
SCRAM produces consistently formated reports from each minimal cutset method: mocus, bdd, and zbdd. 
These are parsed on a line-by-line basis to extract the tag names as qualitative data from these analyses.
}

\references{
  Rauzy, Antoine, et. al.  (2013) Open PSA Model Exchange Format v2.0 open-psa.org
  
  Limnios, Nikolaos (2007) Fault Trees ISTE Ltd.

  Nicholls, David [Editor] (2005) System Reliability Toolkit  Reliability information Analysis 
  Center
  
  O'Connor, Patrick D.T. (1991) Practical Reliability Engineering  John Wiley & Sons
}

\examples{
## This function is completely device dependent.
}

\keyword{ logic, risk, failure }

