\name{readSCRAMuncertainty}
\alias{readSCRAMuncertainty}

\title{ Parse SCRAM output files to extract uncertainty results}

\description{Line-by-line text parsing of a known XML presentation format. 
}

\usage{
readSCRAMuncertainty(x, dir="", show=c(FALSE, FALSE))
}

\arguments{
\item{x}{ The local file name of SCRAM output of interest.}
\item{dir}{A character string for an absolute directory in which R can read and write.}
\item{show}{A logigal vector determining whether to display [1] a histogram or [2] a plot of upper and lower bounds by quantile obtained from uncertainty analysis.}
}

\value{
Returns a list containing $probability, $quantiles, and $histogram data from uncertainty analysis.
}

\details{
SCRAM produces a consistently formated report for uncertainty analysis. This is parsed on a line-by-line basis to extract the returned data items.
}

\references{
  Rauzy, Antoine, et. al.  (2013) Open PSA Model Exchange Format v2.0 open-psa.org
  
  Limnios, Nikolaos (2007) Fault Trees ISTE Ltd.

  Nicholls, David [Editor] (2005) System Reliability Toolkit  Reliability information Analysis 
  Center
  
  O'Connor, Patrick D.T. (1991) Practical Reliability Engineering  John Wiley & Sons
}

\examples{
## This function is completely device dependent.
}

\keyword{ logic, risk, failure }